;
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         <jim.foltz@gmail.com>
;
; Script Function:
;	Selects SketchUp Extensions to load.
;

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.
#NoTrayIcon

OnExit, ExitSub

Process, Exist, Sketchup.exe

if ErrorLevel = 0 ; Sketchup.exe is not runing, good.
{
    Inputbox, version, SketchUp Version, Which Version?,,150,120,,,,,8
    if ErrorLevel
        ExitApp

    ; Check if registry entries exist.
    RegRead, tmp, HKCU, Software\Google\SketchUp%version%\ToolbarsUser-Bar0, MRUDockID
    if  errorlevel = 1
    {
        MsgBox,,Registry Error, Registry Not Found
        ExitApp
    }

    Loop, HKCU, Software\Google\SketchUp%version%\Extensions
    {
        RegRead, val 
        ischecked = 0
        if val = 1
        {
            ischecked = Checked
            cb_%A_Index%=Checked
        }
        Else
        {
            ischecked = 0
            cb_%A_Index%=0
        }
        Gui, Add, Checkbox, %ischecked% vCB%a_index% , %A_LoopRegName%
    }
    Gui, add, Button, W50 Default, Ok
    Gui, add, Button, x+10       , Cancel

    Gui, show, center , SketchUp %version% Extensions
}
else
{
    ; Sketchup is running
    MsgBox,, SketchUp Extensions, SketchUp is open.`n`nPlease close SketchUp before using this app.
    ExitApp
}


Return

ButtonOk:
Gui, Submit
Loop, HKEY_CURRENT_USER, Software\Google\SketchUp%version%\Extensions
{
    val := CB%a_index%
    RegWrite, %val%
    ListVars
}
ExitApp

ButtonCancel:
ExitApp

GuiEscape:
GuiClose:
ExitApp

ExitSub:
ExitApp
