;
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         <jim.foltz@gmail.com>
;
; Script Function:
;	Selects SketchUp Extensions to load.
;

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.
#NoTrayIcon

OnExit, ExitSub

Process, Exist, Sketchup.exe

if ErrorLevel = 0 ; Sketchup.exe is not runing, good.
{
    Version=7
    Inputbox, version, SketchUp Version, Which Version?,,200,120,,,,,%Version%
    if ErrorLevel
        ExitApp

    ; Check if registry entries exist.
    RegRead, tmp, HKCU, Software\Google\SketchUp%version%, keypath
    if  errorlevel = 1
    {
        MsgBox,,Registry Error, Registry Not Found
        ExitApp
    }

    ; Add a ListView
    Gui, Add, ListView, vLV W220 H200 Checked +ReadOnly -Multi List Sort -Resize, Extension

    Loop, HKCU, Software\Google\SketchUp%version%\Extensions
    {
        ;regkey%A_Index% := A_LoopRegName
        RegRead, val 
        ischecked = 0
        if val = 1
        {
            ischecked=Check
        }
        Else
        {
            ischecked=
        }
        ;Gui, Add, ListView, %ischecked% vCB%a_index% , %A_LoopRegName%
        if A_LoopRegName <>
            LV_Add(ischecked , A_LoopRegName) 
        ;LV_ModifyCol()
    }
    Gui, add, Button, W50 Default, Apply
    Gui, add, Button, x+10       , Cancel
    ;Gui, +Resize

    Gui, show, AutoSize Center, SketchUp %version% Extensions
}
else
{
    ; Sketchup is running
    MsgBox,, SketchUp Extensions, SketchUp is open.`n`nPlease close SketchUp before using this app.
    ExitApp
}
Return


ButtonApply:
Gui +LastFound
; Set all Reg entries to 0
Loop % LV_GetCount()
{
    LV_GetText(Text, A_Index)
    key_%A_Index% = %Text%
    cb_%A_Index% = 0
    RegWrite, REG_DWORD, HKCU, Software\Google\SketchUp%version%\Extensions, %Text%, 0
}
; Set checked entries to 1
RowNumber = 0
Loop
{
    RowNumber := LV_GetNext(RowNumber, "Checked")
    if not RowNumber
        break
    LV_GetText(Text, RowNumber)
    RegWrite, REG_DWORD, HKCU, Software\Google\SketchUp%version%\Extensions, %Text%, 1
}
ExitApp

GuiSize:
;Gui +Resize +MinSize300x300
;OutputDebug, A_Gui %A_Gui%
;OutputDebug, A_GuiEvent %A_GuiEvent%
;OutputDebug, A_EventInfo %A_EventInfo%
Return

ButtonCancel:
GuiEscape:
GuiClose:
ExitSub:
ExitApp
